API Documentation
Kuali Research REST APIs - Export Control
Research Export Control ¶
Excon Intl Shipment Documents ¶
Get Excon Intl Shipment Documents by KeyGET/excon/api/v1/excon-intl-shipment-documents/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}Get All Excon Intl Shipment DocumentsGET/excon/api/v1/excon-intl-shipment-documents/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Intl Shipment Documents with FilteringGET/excon/api/v1/excon-intl-shipment-documents/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- documentNumber
string(optional)The document id is generated by the workflow environment and is unique to each installation of Kuali… Maximum length is 14. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Intl Shipment DocumentsGET/excon/api/v1/excon-intl-shipment-documents/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"documentNumber"
],
"primaryKey": "documentNumber"
}Get Blueprint API specification for Excon Intl Shipment DocumentsGET/excon/api/v1/excon-intl-shipment-documents/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Intl Shipment Documents.md"
transfer-encoding: chunkedUpdate Excon Intl Shipment DocumentsPUT/excon/api/v1/excon-intl-shipment-documents/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Intl Shipment DocumentsPUT/excon/api/v1/excon-intl-shipment-documents/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Intl Shipment DocumentsPATCH/excon/api/v1/excon-intl-shipment-documents/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}Insert Excon Intl Shipment DocumentsPOST/excon/api/v1/excon-intl-shipment-documents/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Intl Shipment DocumentsPOST/excon/api/v1/excon-intl-shipment-documents/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Intl Shipment Documents by KeyDELETE/excon/api/v1/excon-intl-shipment-documents/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Intl Shipment DocumentsDELETE/excon/api/v1/excon-intl-shipment-documents/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Excon Intl Shipment Documents with MatchingDELETE/excon/api/v1/excon-intl-shipment-documents/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- documentNumber
string(optional)The document id is generated by the workflow environment and is unique to each installation of Kuali… Maximum length is 14. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalExcon Intl Shipments ¶
Get Excon Intl Shipments by KeyGET/excon/api/v1/excon-intl-shipments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}Get All Excon Intl ShipmentsGET/excon/api/v1/excon-intl-shipments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Intl Shipments with FilteringGET/excon/api/v1/excon-intl-shipments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- shipmentId
string(optional)Shipment ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- restrictedExport
string(optional)Restricted Export. Maximum length is 1. Validating pattern is .*.
- shipmentDescription
string(optional)Shipment Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- restrictedCountry
string(optional)Restricted Country. Maximum length is 1. Validating pattern is .*.
- countryCode
string(optional)Country Code. Maximum length is 3. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- sanctionListCode
string(optional)Sanction List. Maximum length is 4. Validating pattern is .*.
- restrictedParty
string(optional)Restricted Party. Maximum length is 1. Validating pattern is .*.
- receivingParty
string(optional)Receiving Party. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- rpsResultContent
string(optional)- certificationInd
string(optional)Shipment Certification. Maximum length is 1. Validating pattern is .*.
- applicantId
string(optional)Person ID. Maximum length is 40. Validating pattern is ^[A-Za-z0-9]*$.
- applicantName
string(optional)Applicant Name. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- supervisorId
string(optional)Person ID. Maximum length is 40. Validating pattern is ^[A-Za-z0-9]*$.
- supervisorName
string(optional)Supervisor Name. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- unitNumber
string(optional)The lead unit number for the ExconProject. Maximum length is 8. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- unitName
string(optional)Unit Name. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- exconIntlShipmentDocument.documentNumber
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Intl ShipmentsGET/excon/api/v1/excon-intl-shipments/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"shipmentId",
"restrictedExport",
"shipmentDescription",
"restrictedCountry",
"countryCode",
"sanctionListCode",
"restrictedParty",
"receivingParty",
"rpsResultContent",
"certificationInd",
"applicantId",
"applicantName",
"supervisorId",
"supervisorName",
"unitNumber",
"unitName",
"exconIntlShipmentDocument.documentNumber"
],
"primaryKey": "shipmentId"
}Get Blueprint API specification for Excon Intl ShipmentsGET/excon/api/v1/excon-intl-shipments/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Intl Shipments.md"
transfer-encoding: chunkedUpdate Excon Intl ShipmentsPUT/excon/api/v1/excon-intl-shipments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Intl ShipmentsPUT/excon/api/v1/excon-intl-shipments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Intl ShipmentsPATCH/excon/api/v1/excon-intl-shipments/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}Insert Excon Intl ShipmentsPOST/excon/api/v1/excon-intl-shipments/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Intl ShipmentsPOST/excon/api/v1/excon-intl-shipments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
},
{
"shipmentId": "(val)",
"restrictedExport": "(val)",
"shipmentDescription": "(val)",
"restrictedCountry": "(val)",
"countryCode": "(val)",
"sanctionListCode": "(val)",
"restrictedParty": "(val)",
"receivingParty": "(val)",
"rpsResultContent": "(val)",
"certificationInd": "(val)",
"applicantId": "(val)",
"applicantName": "(val)",
"supervisorId": "(val)",
"supervisorName": "(val)",
"unitNumber": "(val)",
"unitName": "(val)",
"exconIntlShipmentDocument.documentNumber": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Intl Shipments by KeyDELETE/excon/api/v1/excon-intl-shipments/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Intl ShipmentsDELETE/excon/api/v1/excon-intl-shipments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Excon Intl Shipments with MatchingDELETE/excon/api/v1/excon-intl-shipments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- shipmentId
string(optional)Shipment ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- restrictedExport
string(optional)Restricted Export. Maximum length is 1. Validating pattern is .*.
- shipmentDescription
string(optional)Shipment Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- restrictedCountry
string(optional)Restricted Country. Maximum length is 1. Validating pattern is .*.
- countryCode
string(optional)Country Code. Maximum length is 3. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- sanctionListCode
string(optional)Sanction List. Maximum length is 4. Validating pattern is .*.
- restrictedParty
string(optional)Restricted Party. Maximum length is 1. Validating pattern is .*.
- receivingParty
string(optional)Receiving Party. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- rpsResultContent
string(optional)- certificationInd
string(optional)Shipment Certification. Maximum length is 1. Validating pattern is .*.
- applicantId
string(optional)Person ID. Maximum length is 40. Validating pattern is ^[A-Za-z0-9]*$.
- applicantName
string(optional)Applicant Name. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- supervisorId
string(optional)Person ID. Maximum length is 40. Validating pattern is ^[A-Za-z0-9]*$.
- supervisorName
string(optional)Supervisor Name. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- unitNumber
string(optional)The lead unit number for the ExconProject. Maximum length is 8. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- unitName
string(optional)Unit Name. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- exconIntlShipmentDocument.documentNumber
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalExcon Project Associated Document Types ¶
Get Excon Project Associated Document Types by KeyGET/excon/api/v1/excon-project-associated-document-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project Associated Document TypesGET/excon/api/v1/excon-project-associated-document-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
},
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Associated Document Types with FilteringGET/excon/api/v1/excon-project-associated-document-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- assocDocTypeCode
string(optional)Document Type Code. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.
- assocDocTypeName
string(optional)Document Type Name. Maximum length is 40. Validating pattern is .*.
- assocDocTypeClassName
string(optional)Document Class Name. Maximum length is 100. Validating pattern is .*.
- assocDocTypeNumberAttr
string(optional)Document Type Id Attribute. Maximum length is 40. Validating pattern is .*.
- returnsVals
string(optional)Return Values. Maximum length is 1. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
},
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project Associated Document TypesGET/excon/api/v1/excon-project-associated-document-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"assocDocTypeCode",
"assocDocTypeName",
"assocDocTypeClassName",
"assocDocTypeNumberAttr",
"returnsVals"
],
"primaryKey": "assocDocTypeCode"
}Get Blueprint API specification for Excon Project Associated Document TypesGET/excon/api/v1/excon-project-associated-document-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Associated Document Types.md"
transfer-encoding: chunkedUpdate Excon Project Associated Document TypesPUT/excon/api/v1/excon-project-associated-document-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project Associated Document TypesPUT/excon/api/v1/excon-project-associated-document-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
},
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project Associated Document TypesPATCH/excon/api/v1/excon-project-associated-document-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project Associated Document TypesPOST/excon/api/v1/excon-project-associated-document-types/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project Associated Document TypesPOST/excon/api/v1/excon-project-associated-document-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
},
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
},
{
"assocDocTypeCode": "(val)",
"assocDocTypeName": "(val)",
"assocDocTypeClassName": "(val)",
"assocDocTypeNumberAttr": "(val)",
"returnsVals": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Associated Document Types by KeyDELETE/excon/api/v1/excon-project-associated-document-types/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Associated Document TypesDELETE/excon/api/v1/excon-project-associated-document-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Excon Project Associated Document Types with MatchingDELETE/excon/api/v1/excon-project-associated-document-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- assocDocTypeCode
string(optional)Document Type Code. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.
- assocDocTypeName
string(optional)Document Type Name. Maximum length is 40. Validating pattern is .*.
- assocDocTypeClassName
string(optional)Document Class Name. Maximum length is 100. Validating pattern is .*.
- assocDocTypeNumberAttr
string(optional)Document Type Id Attribute. Maximum length is 40. Validating pattern is .*.
- returnsVals
string(optional)Return Values. Maximum length is 1. Validating pattern is .*.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalExcon Project Associated Documents ¶
Get Excon Project Associated Documents by KeyGET/excon/api/v1/excon-project-associated-documents/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"projectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project Associated DocumentsGET/excon/api/v1/excon-project-associated-documents/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"projectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"projectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Associated Documents with FilteringGET/excon/api/v1/excon-project-associated-documents/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- projectAssocDocId
string(optional)Export Control Associated Document ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- assocDocTypeCode
string(optional)Associated Document Type Code. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.
- assocDocNumber
string(optional)Associated Document Identifier. Maximum length is 12. Validating pattern is .*.
- assocDocTitle
string(optional)Associated Document Title. Maximum length is 200. Validating pattern is .*.
- projectNumber
string(optional)- sequenceNumber
string(optional)- exconProject.projectId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"projectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"projectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project Associated DocumentsGET/excon/api/v1/excon-project-associated-documents/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"projectAssocDocId",
"assocDocTypeCode",
"assocDocNumber",
"assocDocTitle",
"projectNumber",
"sequenceNumber",
"exconProject.projectId"
],
"primaryKey": "projectAssocDocId"
}Get Blueprint API specification for Excon Project Associated DocumentsGET/excon/api/v1/excon-project-associated-documents/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Associated Documents.md"
transfer-encoding: chunkedUpdate Excon Project Associated DocumentsPUT/excon/api/v1/excon-project-associated-documents/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"projectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project Associated DocumentsPUT/excon/api/v1/excon-project-associated-documents/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"projectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"projectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project Associated DocumentsPATCH/excon/api/v1/excon-project-associated-documents/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"projectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project Associated DocumentsPOST/excon/api/v1/excon-project-associated-documents/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"projectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project Associated DocumentsPOST/excon/api/v1/excon-project-associated-documents/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"projectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"projectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"projectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"projectAssocDocId": "(val)",
"assocDocTypeCode": "(val)",
"assocDocNumber": "(val)",
"assocDocTitle": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Associated Documents by KeyDELETE/excon/api/v1/excon-project-associated-documents/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Associated DocumentsDELETE/excon/api/v1/excon-project-associated-documents/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Excon Project Associated Documents with MatchingDELETE/excon/api/v1/excon-project-associated-documents/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- projectAssocDocId
string(optional)Export Control Associated Document ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- assocDocTypeCode
string(optional)Associated Document Type Code. Maximum length is 8. Validating pattern is ^[A-Za-z0-9]*$.
- assocDocNumber
string(optional)Associated Document Identifier. Maximum length is 12. Validating pattern is .*.
- assocDocTitle
string(optional)Associated Document Title. Maximum length is 200. Validating pattern is .*.
- projectNumber
string(optional)- sequenceNumber
string(optional)- exconProject.projectId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalExcon Project Attachment Types ¶
Get Excon Project Attachment Types by KeyGET/excon/api/v1/excon-project-attachment-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"projectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project Attachment TypesGET/excon/api/v1/excon-project-attachment-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"projectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"projectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Attachment Types with FilteringGET/excon/api/v1/excon-project-attachment-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- projectAttachmentTypeCode
string(optional)Export Control Project Attachment Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"projectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"projectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project Attachment TypesGET/excon/api/v1/excon-project-attachment-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"projectAttachmentTypeCode",
"description"
],
"primaryKey": "projectAttachmentTypeCode"
}Get Blueprint API specification for Excon Project Attachment TypesGET/excon/api/v1/excon-project-attachment-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Attachment Types.md"
transfer-encoding: chunkedUpdate Excon Project Attachment TypesPUT/excon/api/v1/excon-project-attachment-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"projectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project Attachment TypesPUT/excon/api/v1/excon-project-attachment-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"projectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"projectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project Attachment TypesPATCH/excon/api/v1/excon-project-attachment-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"projectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project Attachment TypesPOST/excon/api/v1/excon-project-attachment-types/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"projectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project Attachment TypesPOST/excon/api/v1/excon-project-attachment-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"projectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"projectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"projectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"projectAttachmentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Attachment Types by KeyDELETE/excon/api/v1/excon-project-attachment-types/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Attachment TypesDELETE/excon/api/v1/excon-project-attachment-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Excon Project Attachment Types with MatchingDELETE/excon/api/v1/excon-project-attachment-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- projectAttachmentTypeCode
string(optional)Export Control Project Attachment Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalExcon Project Attachments ¶
Get Excon Project Attachments by KeyGET/excon/api/v1/excon-project-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"projectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project AttachmentsGET/excon/api/v1/excon-project-attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"projectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
},
{
"projectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Attachments with FilteringGET/excon/api/v1/excon-project-attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- projectAttachmentId
string(optional)Export Control Attachment ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- projectId
string(optional)- projectNumber
string(optional)- sequenceNumber
string(optional)- typeCode
string(optional)Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- documentId
string(optional)Document ID. Maximum length is 4. Validating pattern is ^[0-9]*$.
- fileId
string(optional)File Id. Maximum length is 36. Validating pattern is ^[\p{Graph}]*$.
- description
string(optional)Description. Validating pattern is .*.
- attachUser
string(optional)- attachDate
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"projectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
},
{
"projectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project AttachmentsGET/excon/api/v1/excon-project-attachments/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"projectAttachmentId",
"projectId",
"projectNumber",
"sequenceNumber",
"typeCode",
"documentId",
"fileId",
"description",
"attachUser",
"attachDate"
],
"primaryKey": "projectAttachmentId"
}Get Blueprint API specification for Excon Project AttachmentsGET/excon/api/v1/excon-project-attachments/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Attachments.md"
transfer-encoding: chunkedUpdate Excon Project AttachmentsPUT/excon/api/v1/excon-project-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"projectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project AttachmentsPUT/excon/api/v1/excon-project-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"projectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
},
{
"projectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project AttachmentsPATCH/excon/api/v1/excon-project-attachments/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"projectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project AttachmentsPOST/excon/api/v1/excon-project-attachments/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"projectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project AttachmentsPOST/excon/api/v1/excon-project-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"projectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
},
{
"projectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"projectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
},
{
"projectAttachmentId": "(val)",
"projectId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"typeCode": "(val)",
"documentId": "(val)",
"fileId": "(val)",
"description": "(val)",
"attachUser": "(val)",
"attachDate": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Attachments by KeyDELETE/excon/api/v1/excon-project-attachments/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project AttachmentsDELETE/excon/api/v1/excon-project-attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Excon Project Attachments with MatchingDELETE/excon/api/v1/excon-project-attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- projectAttachmentId
string(optional)Export Control Attachment ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- projectId
string(optional)- projectNumber
string(optional)- sequenceNumber
string(optional)- typeCode
string(optional)Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- documentId
string(optional)Document ID. Maximum length is 4. Validating pattern is ^[0-9]*$.
- fileId
string(optional)File Id. Maximum length is 36. Validating pattern is ^[\p{Graph}]*$.
- description
string(optional)Description. Validating pattern is .*.
- attachUser
string(optional)- attachDate
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalExcon Project Comment Types ¶
Get Excon Project Comment Types by KeyGET/excon/api/v1/excon-project-comment-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"projectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project Comment TypesGET/excon/api/v1/excon-project-comment-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"projectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"projectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Comment Types with FilteringGET/excon/api/v1/excon-project-comment-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- projectCommentTypeCode
string(optional)Export Control Project Comment Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"projectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"projectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project Comment TypesGET/excon/api/v1/excon-project-comment-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"projectCommentTypeCode",
"description"
],
"primaryKey": "projectCommentTypeCode"
}Get Blueprint API specification for Excon Project Comment TypesGET/excon/api/v1/excon-project-comment-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Comment Types.md"
transfer-encoding: chunkedUpdate Excon Project Comment TypesPUT/excon/api/v1/excon-project-comment-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"projectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project Comment TypesPUT/excon/api/v1/excon-project-comment-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"projectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"projectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project Comment TypesPATCH/excon/api/v1/excon-project-comment-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"projectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project Comment TypesPOST/excon/api/v1/excon-project-comment-types/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"projectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project Comment TypesPOST/excon/api/v1/excon-project-comment-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"projectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"projectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"projectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"projectCommentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Comment Types by KeyDELETE/excon/api/v1/excon-project-comment-types/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Comment TypesDELETE/excon/api/v1/excon-project-comment-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Excon Project Comment Types with MatchingDELETE/excon/api/v1/excon-project-comment-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- projectCommentTypeCode
string(optional)Export Control Project Comment Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalExcon Project Comments ¶
Get Excon Project Comments by KeyGET/excon/api/v1/excon-project-comments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"projectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project CommentsGET/excon/api/v1/excon-project-comments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"projectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"projectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Comments with FilteringGET/excon/api/v1/excon-project-comments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- projectCommentId
string(optional)Export Control Comment Project ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- projectNumber
string(optional)- sequenceNumber
string(optional)- commentTypeCode
string(optional)Comment Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- comments
string(optional)Comments. Validating pattern is .*.
- commentAuthor
string(optional)The user who created or last modified the object. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.
- commentDate
string(optional)The creation or last modification timestamp. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- exconProject.projectId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"projectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"projectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project CommentsGET/excon/api/v1/excon-project-comments/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"projectCommentId",
"projectNumber",
"sequenceNumber",
"commentTypeCode",
"comments",
"commentAuthor",
"commentDate",
"exconProject.projectId"
],
"primaryKey": "projectCommentId"
}Get Blueprint API specification for Excon Project CommentsGET/excon/api/v1/excon-project-comments/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Comments.md"
transfer-encoding: chunkedUpdate Excon Project CommentsPUT/excon/api/v1/excon-project-comments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"projectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project CommentsPUT/excon/api/v1/excon-project-comments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"projectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"projectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project CommentsPATCH/excon/api/v1/excon-project-comments/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"projectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project CommentsPOST/excon/api/v1/excon-project-comments/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"projectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project CommentsPOST/excon/api/v1/excon-project-comments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"projectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"projectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"projectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"projectCommentId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"commentTypeCode": "(val)",
"comments": "(val)",
"commentAuthor": "(val)",
"commentDate": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Comments by KeyDELETE/excon/api/v1/excon-project-comments/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project CommentsDELETE/excon/api/v1/excon-project-comments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Excon Project Comments with MatchingDELETE/excon/api/v1/excon-project-comments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- projectCommentId
string(optional)Export Control Comment Project ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- projectNumber
string(optional)- sequenceNumber
string(optional)- commentTypeCode
string(optional)Comment Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- comments
string(optional)Comments. Validating pattern is .*.
- commentAuthor
string(optional)The user who created or last modified the object. Maximum length is 60. Validating pattern is ^[\p{Graph}]*$.
- commentDate
string(optional)The creation or last modification timestamp. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- exconProject.projectId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalExcon Project Content Types ¶
Get Excon Project Content Types by KeyGET/excon/api/v1/excon-project-content-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project Content TypesGET/excon/api/v1/excon-project-content-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Content Types with FilteringGET/excon/api/v1/excon-project-content-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- contentTypeCode
string(optional)Export Control Project Content Type Code. Maximum length is 5. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project Content TypesGET/excon/api/v1/excon-project-content-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"contentTypeCode",
"description"
],
"primaryKey": "contentTypeCode"
}Get Blueprint API specification for Excon Project Content TypesGET/excon/api/v1/excon-project-content-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Content Types.md"
transfer-encoding: chunkedUpdate Excon Project Content TypesPUT/excon/api/v1/excon-project-content-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project Content TypesPUT/excon/api/v1/excon-project-content-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project Content TypesPATCH/excon/api/v1/excon-project-content-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project Content TypesPOST/excon/api/v1/excon-project-content-types/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project Content TypesPOST/excon/api/v1/excon-project-content-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
},
{
"contentTypeCode": "(val)",
"description": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Content Types by KeyDELETE/excon/api/v1/excon-project-content-types/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Content TypesDELETE/excon/api/v1/excon-project-content-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Excon Project Content Types with MatchingDELETE/excon/api/v1/excon-project-content-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- contentTypeCode
string(optional)Export Control Project Content Type Code. Maximum length is 5. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalExcon Project Custom Data ¶
Get Excon Project Custom Data by KeyGET/excon/api/v1/excon-project-custom-data/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"projectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project Custom DataGET/excon/api/v1/excon-project-custom-data/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"projectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"projectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Custom Data with FilteringGET/excon/api/v1/excon-project-custom-data/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- projectCustomDataId
string(optional)- projectNumber
string(optional)- sequenceNumber
string(optional)- customAttributeId
string(optional)- value
string(optional)Value. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- exconProject.projectId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"projectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"projectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Excon Project Custom DataGET/excon/api/v1/excon-project-custom-data/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"projectCustomDataId",
"projectNumber",
"sequenceNumber",
"customAttributeId",
"value",
"exconProject.projectId"
],
"primaryKey": "projectCustomDataId"
}Get Blueprint API specification for Excon Project Custom DataGET/excon/api/v1/excon-project-custom-data/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Excon Project Custom Data.md"
transfer-encoding: chunkedUpdate Excon Project Custom DataPUT/excon/api/v1/excon-project-custom-data/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"projectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Excon Project Custom DataPUT/excon/api/v1/excon-project-custom-data/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"projectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"projectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Excon Project Custom DataPATCH/excon/api/v1/excon-project-custom-data/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"projectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Insert Excon Project Custom DataPOST/excon/api/v1/excon-project-custom-data/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"projectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Excon Project Custom DataPOST/excon/api/v1/excon-project-custom-data/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"projectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"projectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"projectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"projectCustomDataId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"customAttributeId": "(val)",
"value": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Delete Excon Project Custom Data by KeyDELETE/excon/api/v1/excon-project-custom-data/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Excon Project Custom DataDELETE/excon/api/v1/excon-project-custom-data/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Excon Project Custom Data with MatchingDELETE/excon/api/v1/excon-project-custom-data/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- projectCustomDataId
string(optional)- projectNumber
string(optional)- sequenceNumber
string(optional)- customAttributeId
string(optional)- value
string(optional)Value. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- exconProject.projectId
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalExcon Project Destinations ¶
Get Excon Project Destinations by KeyGET/excon/api/v1/excon-project-destinations/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"projectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}Get All Excon Project DestinationsGET/excon/api/v1/excon-project-destinations/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"projectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
},
{
"projectDestId": "(val)",
"projectNumber": "(val)",
"sequenceNumber": "(val)",
"destinationCountryCode": "(val)",
"arrivalDate": "(val)",
"departureDate": "(val)",
"destinationComment": "(val)",
"sanctionList": "(val)",
"exconProject.projectId": "(val)",
"_primaryKey": "(val)"
}
]Get All Excon Project Destinations with FilteringGET/excon/api/v1/excon-project-destinations/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- projectDestId
string(optional)Export Control Destination ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- projectNumber
string(optional)- sequenceNumber
string(optional)- destinationCountryCode
string(optional)Destination Country. Maximum length is 3. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- arrivalDate
[...]
